<?php
$all_items = &$Planet->getItems();
$limit = $PlanetConfig->getMaxDisplay();
$count = 0;
?>
<feed xmlns="http://www.w3.org/2005/Atom">
    <title><?php echo $PlanetConfig->getName(); ?></title>
    <subtitle></subtitle>
    <id><?php echo $PlanetConfig->getUrl(); ?></id>
    <link rel="self" type="text/html" href="<?php echo $PlanetConfig->getUrl(); ?>?type=atom10" />
    <link rel="alternate" type="text/html" href="<?php echo $PlanetConfig->getUrl(); ?>" />
    <updated><?php echo date("Y-m-d\TH:i:s\Z") ?></updated>
    <author><name>Author</name></author>
  
	<?php $count = 0; ?>
    <?php foreach ($all_items as $item): ?>
	<entry xmlns="http://www.w3.org/2005/Atom">
		<title type="html"><?php echo htmlspecialchars($item->getAuthor()); ?> : <?php echo htmlspecialchars($item->getTitle());?></title>
		<id><?php echo htmlspecialchars($item->getUrl());?></id>
		<link rel="alternate" href="<?php echo htmlspecialchars($item->getUrl());?>"/>
		<published><?php echo date('Y-m-d\\TH:i:s+00:00',$item->getDate()); ?></published>
        <updated><?php echo date('Y-m-d\\TH:i:s+00:00',$item->getDate()); ?></updated>
		<author><name><?php echo htmlspecialchars($item->getAuthor()) ?></name></author>
		
		<content type="html"><![CDATA[<?php echo $item->getContent();?>]]></content>
	</entry>
    <?php if (++$count == $limit) { break; } ?>
    <?php endforeach; ?>
</feed>